# Get all correspondent bank transfer transactions Retrieves all correspondent bank transfer transactions. Endpoint: GET /correspondent_bank_transfers Version: v3 Security: auth_token, api-key ## Query parameters: - `offset` (integer) The offset value for paging, indicating the initial item number to be returned from the data set satisfying the given criteria. Leave out to fetch the first page of results. - `limit` (integer) The limit of the results for paging, starting at the offset. Limit is always capped at 100. - `profileId` (string) Filter by the managed account/card profile. Leave out to fetch all managed accounts/card. - `sourceInstrument.id` (string) Filter by the source instrument id. Must be specified when source.type is provided. - `sourceInstrument.type` (string) Filter by the source instrument type. Must be specified when source.id is provided. Enum: "managed_accounts" - `createdFrom` (integer) Filter for correspondent bank transfer transactions created after createdFrom timestamp, expressed in Epoch timestamp using millisecond precision. - `createdTo` (integer) Filter for correspondent bank transfer transactions created before createdTo timestamp, expressed in Epoch timestamp using millisecond precision. - `executedFrom` (integer) Filter for correspondent bank transfer transactions executed after executedFrom timestamp, expressed in Epoch timestamp using millisecond precision. - `executedTo` (integer) Filter for correspondent bank transfer transactions executed before executedTo timestamp, expressed in Epoch timestamp using millisecond precision. - `tag` (string) Filter by the correspondent bank transfer tag. The exact tag must be provided, as wildcards are not supported. - `state` (array) Filter by the state of the correspondent bank transfer transaction. Enum: "INVALID", "PENDING_CHALLENGE", "SUBMITTED", "REJECTED", "APPROVED", "FAILED", "COMPLETED", "RETURNED", "SCHEDULED", "CANCELLED", "PENDING_CONFIRMATION" - `originator.name` (string) Filter by the originator name. Partial matches are supported. - `originator.type` (string) Filter by the originator type. Enum: "INDIVIDUAL", "BUSINESS" - `originator.tag` (string) Filter by the originator tag. ## Response 200 fields (application/json): - `transfer` (array) - `transfer.id` (string, required) The unique identifier of the Correspondent Banking OWT. - `transfer.profileId` (string, required) The profile Id which a specific identity, instrument or transaction type is linked to. Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply. You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs. Profile Ids can be found in the Multi Portal, in the API Credentials page. - `transfer.tag` (string) The tag field is a custom field that can be used to search and filter. - `transfer.sourceInstrument` (object, required) The source managed account from where the funds were taken. - `transfer.sourceInstrument.type` (string, required) Enum: "managed_accounts" - `transfer.sourceInstrument.id` (string, required) - `transfer.amount` (object, required) The amount transferred. - `transfer.amount.currency` (string, required) The currency expressed in ISO-4217 code. Example: GBP, EUR, USD. - `transfer.amount.amount` (integer, required) The monetary amount, scaled to the lowest denomination of the currency. Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00. - `transfer.originator` (any, required) - `transfer.beneficiary` (any, required) - `transfer.purpose` (string, required) The purpose of the payment. - `transfer.description` (string) These details are passed to the beneficiary as the reference. This field is mandatory for wire transfers executed over SEPA. The allowed length is dependent on the payment type: SEPA <= 35 characters. An extended character set is accepted to cater for all European languages. If SEPA does not support a particular character, it is automatically converted to an acceptable alternative, in line with SEPA scheme guidance. Faster Payments <= 18 characters - `transfer.externalData` (array) Additional external data as key-value pairs. - `transfer.externalData.name` (string, required) Name/key of the external data. - `transfer.externalData.value` (string, required) Value of the external data. - `transfer.state` (string, required) The state of the correspondent bank transfer transaction, as follows: - INVALID: The transfer has failed initial validation checks. - PENDING_CHALLENGE: The transfer requires the completion of a transaction confirmation challenge before it can be submitted. - SUBMITTED: The transfer has been submitted to the sending financial institution for processing. - REJECTED: The transfer that was submitted was rejected. - APPROVED: The transfer that was submitted has been approved and is being processed by the sending financial institution. - FAILED: There was an issue with the transfer, and the transaction has failed. - COMPLETED: The requested funds have been sent from the source instrument. - RETURNED: The transfer has been returned to the sender. - SCHEDULED: The transfer will be executed at the scheduled time. - CANCELLED: The scheduled transfer has been cancelled. - PENDING_CONFIRMATION: The transfer requires a manual confirmation by the user before proceeding. Enum: "INVALID", "PENDING_CHALLENGE", "SUBMITTED", "REJECTED", "APPROVED", "FAILED", "COMPLETED", "RETURNED", "SCHEDULED", "CANCELLED", "PENDING_CONFIRMATION" - `transfer.creationTimestamp` (integer, required) The time when the transaction was created, expressed in Epoch timestamp using millisecond precision. - `transfer.scheduledTimestamp` (string) The epoch timestamp at which the transaction is scheduled to be executed. - `transfer.cancellationReason` (string) The reason the scheduled transaction was cancelled. - `transfer.validationOutcomes` (array) - `transfer.validationOutcomes.category` (string, required) Enum: "SEPA_VERIFICATION_OF_PAYEE", "UK_CONFIRMATION_OF_PAYEE" - `transfer.validationOutcomes.categoryResult` (any, required) - `count` (integer) Total number of records (excluding the paging limit) - `responseCount` (integer) Total number of records returned in this response (always capped at 100). ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 401 fields ## Response 403 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields